Contents

# UBound Function

Returns the upper boundary of an array.

### Syntax:

    UBound (ArrayName [, Dimension])

### Return type:

Long

### Parameters:

ArrayName: Name of the array for which you want to determine the upper (Ubound) or the lower (LBound) boundary.

[Dimension]: Integer that specifies which dimension to return the upper(Ubound) or lower (LBound) boundary for. If no value is specified, the boundary of the first dimension is returned.

### Error codes:

5 Invalid procedure call

9 Index out of defined range

### Example:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' 10
        Print UBound(v) ' 20
    End Sub

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' 10  20
        Print LBound(t(),2) ' -5
        Print UBound(t,2) ' 70
    End Sub

Please support us!